The structure and content of the reports are subject to change without prior notice.
For example, a new column may be added or the name of the sheet may be changed.
Report on balances in partner's warehouses
The method is available for models: FBS, Express and DBS.
If you are using an API Key token, one of the accesses in the list is required to call the method
- offers-and-cards-management — Manage products and cards
- offers-and-cards-management:read-only — View products and cards
- all-methods — Full account management
- all-methods:read-only — View all data
Starts generating a report on store stock balances in the cabinet. What kind of report is this
What information will be returned:
- About the leftovers in all store warehouses in the cabinet (models DBS, FBS and Express).
- For each product — your SKU, name, work model, warehouse, quantity available for order, reserve, price and status.
You can find out the generation status and get a link to the finished report using a request. GET v2/reports/info/{reportId}.
Explanation of the report columns:
Sheet Остатки на складах (file stocks_business)
|
CSV column name |
JSON column name |
XLSX column name |
Value type |
|
ERRORS |
errors |
Критичные ошибки |
string |
|
SHOP_SKU |
shopSku |
Ваш SKU * |
string |
|
PRODUCT_NAME |
productName |
Название товара |
string |
|
PLACEMENT_TYPE |
placementType |
Модель работы |
string |
|
WAREHOUSE_AND_SHOP |
warehouseAndShop |
Склад * |
string |
|
COUNT |
count |
Доступно для заказа * |
integer |
|
RESERVE |
reserve |
Резерв |
integer |
|
PRICE |
price |
Цена |
string |
|
STATUS |
status |
Статус |
string |
|
COMMENT |
comment |
Примечание |
string |
Метод подходит, только если в кабинете нет групп складов
If there are warehouse groups in the cabinet, use the method POST v2/reports/stocks-on-warehouses/generate. What are warehouse groups and why are they needed?.
⚙️ Limit without subscription: 1 request per 2 minutes ⭐️ Limit with Medium subscription: 1 request per minute |
|---|
Request
POST
https://api.partner.market.yandex.ru/v3/businesses/{businessId}/reports/stocks/generate
Path parameters
|
Name |
Description |
|
businessId |
Type: integer Cabinet ID. To find out, use the request GET v2/campaigns. ℹ️ What is a cabinet and a store on the Market? Min value: |
Query parameters
|
Name |
Description |
|
format |
Type: string The format of the report or document. Report format:
Default: Enum: |
Body
application/json
{
"categoryIds": [
1
],
"hasStocks": true,
"partnerWarehouseIds": [
0
]
}
|
Name |
Description |
|
categoryIds |
Type: integer[] | null Filter by category on the Market. Min items: Unique items: Example
|
|
hasStocks |
Type: boolean Filter by the presence of residues. |
|
partnerWarehouseIds |
Type: integer[] | null Filter by warehouse IDs. To find out the ID, use the request POST v3/businesses/{businessId}/warehouses. Min items: Unique items: Example
|
Responses
200 OK
In response, you receive an identifier that allows you to find out the generation status and download the finished report.
Body
application/json
{
"status": "OK",
"result": {
"reportId": "example",
"estimatedGenerationTime": 0
}
}
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
result
Type: object
estimatedGenerationTime
Type: integer
Expected generation time in milliseconds.
reportId
Type: string
The ID that will be needed to track the generation status and receive the finished report or document.
Example:
exampleThe ID that will be needed to track the generation status and receive the finished report or document.
Example
{ "reportId": "example", "estimatedGenerationTime": 0 }Example
{ "result": { "reportId": "example", "estimatedGenerationTime": 0 } }
400 Bad Request
The request contains incorrect data. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
401 Unauthorized
The authorization data is not specified in the request. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
403 Forbidden
The authorization data is incorrect or access to the resource is prohibited. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
404 Not Found
The requested resource was not found. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
420 Method Failure
The resource access limit has been exceeded. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
500 Internal Server Error
Internal error of the Market. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -